using DelimitedFiles, Plots
using LaTeXStrings
using FFTW
using LsqFit
using Smoothers
using ColorSchemes

dir = @__DIR__;

default(fontfamily = "Times",	# default plot parameters
		aspect_ratio = :auto,
		size = (500,500),
		margin = 0.25Plots.cm,
		markersize=3, markerstrokewidth=0, lw=5,
		legend=:topright, legendfontsize=12,
		tickfontsize=12, labelfontsize=14,
		xlabel="f [MHz]",
		ylabel="PSD [arb. units]"
		)
	mvavg_n = 101 # moving averages index
## FIT MODEL


## FIT beat 780

filename = "20240112-CoolRep-780-beat-40M.dat"
	data = readdlm(dir*'\\'*filename, '\t');

scatter(data[:,1], data[:,2],
			label = "",
			color=ColorSchemes.RdBu_6[6],
			)
	plot!(data[:,1], data[:,3],
			color=ColorSchemes.RdBu_6[1], label="HWHM = 600 kHz")
	xlims!(36,44)
	ylims!(0,1.1)



predirlength = length(dirname(@__DIR__));	# automatic name choice
currentdir = @__DIR__;

savefig(currentdir*'\\'*currentdir[(predirlength+3):end]*"-40M.pdf")