using DelimitedFiles
using LaTeXStrings
using Plots
using FFTW
using Statistics
using PlutoUI
using ColorSchemes

default(fontfamily = "Times",	# default plot parameters
		aspect_ratio = :auto,
		size = (500,500))



filelist = readdir(@__DIR__)				# reading all .dat files in the directory
	for i = length(filelist):-1:1
		if filelist[i][end-3:end] != ".dat"
		deleteat!(filelist, i)
		end
	end

# # ASE spectra
# filelistOSA = copy(filelist);
# 	for i =length(filelistOSA):-1:1
# 		if filelistOSA[i][1:4] != "1525"
# 		   deleteat!(filelistOSA, i)
# 	   end
# 	end
# 	deleteat!(filelistOSA,2)

p =	plot(frame=:box, legend=:topleft,					# prepare the plot
			legendfontsize=12, tickfontsize=12, lw=4)
			xlims!(1561.68, 1561.97)

for j = length(filelist):-1:1							# plot everything
	data = readdlm(string(@__DIR__, '\\', filelist[j]), comments = true);
	lstr = filelist[j][14:17];
	plot!(data[:,1]*1.0, 10 .^(data[:,2]*0.1),
			palette = :RdBu_6, marker=:circle, markersize=3, markerstrokewidth=0,
			label = string(lstr," mA"), legend=:topright)
	#writedlm(dirName*"paperdata/20230221-OSA-"*lstr*"_mA.dat", [dataOSA[:,1]*1.0 10 .^(dataOSA[:,2]*0.1)] )
end
xlabel!("λ [nm]", labelfontsize=14)
ylabel!("Optical power [mW]")


# predirlength = length(dirname(@__DIR__));	# automatic name choice
# currentdir = @__DIR__;

# savefig(currentdir*'\\'*currentdir[(predirlength+3):end]*".pdf")