using DelimitedFiles
using LaTeXStrings
using Plots
using Statistics
using ColorSchemes

default(fontfamily = "Times",	# default plot parameters
	aspect_ratio = :auto, frame=:box,
	size = (500,500),
	margin = 0.3Plots.cm,
	markersize=3, markerstrokewidth=0, lw=3,
	legend=:topright, legendfontsize=12,
	tickfontsize=12, labelfontsize=14,
	xlabel="Time [s]",# ylabel="P/⟨P⟩",
	xlims=(0,6000), ylims=(0.84,1.16),
	xticks=0:1000:6000, yticks=0.85:0.05:1.15
	)


dir = @__DIR__
	file = "SHG_Pol_data.csv"

data = readdlm(dir*"\\"*file,',', comments = true, skipstart=1);
time = data[:,2];
PWR = data[:,5];
deg = data[:,6];

rel_P = PWR ./ mean(PWR);
rel_d = deg ./ mean(deg); 


p = plot()

	plot!(time, rel_P,
		ylabel="P/⟨P⟩ ; deg/⟨deg⟩", grid=true,
		label = "Laser Power",  color=ColorSchemes.RdBu_6[1])
	plot!( time, rel_d,
		#ylabel="", #xticks=:none, xlabel="", grid=true, formatter=Returns(""),
		label = "Polarization Angle",  color=ColorSchemes.RdBu_6[6])

display(p)



# predirlength = length(dirname(@__DIR__));	# automatic name choice
# currentdir = @__DIR__;

# savefig(currentdir*'\\'*currentdir[(predirlength+3):end]*".pdf")